> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Close app

> Forces the specified Android application to close inside the box



## OpenAPI

````yaml post /boxes/{boxId}/android/packages/{packageName}/close
openapi: 3.0.0
info:
  title: GBOX Open API
  description: GBOX Open API Documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://gbox.ai/api/v1
    description: Production Server
security: []
tags: []
paths:
  /boxes/{boxId}/android/packages/{packageName}/close:
    post:
      tags:
        - Android
      summary: Close app
      description: Forces the specified Android application to close inside the box
      operationId: AndroidController_stopAndroidApp
      parameters:
        - name: boxId
          required: true
          in: path
          description: Box ID
          schema:
            example: c9bdc193-b54b-4ddb-a035-5ac0c598d32d
            type: string
        - name: packageName
          required: true
          in: path
          description: Android app package name
          schema:
            example: com.example.myapp
            type: string
      responses:
        '200':
          description: ''
      security:
        - bearer: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import GboxSDK from "gbox-sdk";

            const gboxSDK = new GboxSDK({
              apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
            });

            async function main() {
              const box = await gboxSDK.create({ type: "android" });

              const androidApp = await box.app.get("com.android.settings"); // package name

              await androidApp.close();
            }

            main();
        - lang: Python
          source: |-
            import os
            from gbox_sdk import GboxSDK

            def main():
                gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"])  # This is the default and can be omitted

                # Create Android box
                box = gbox_sdk.create(type="android")

                # Connect to Android app by package name
                android_app = box.app.get("com.android.settings")  # package name

                # Close the app
                android_app.close()

            if __name__ == "__main__":
                main()
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"log\"\n\t\"os\"\n\n\t\"github.com/gbox/gbox-sdk-go\"\n)\n\nfunc main() {\n\tgboxSDK := gbox.NewGboxSDK(os.Getenv(\"GBOX_API_KEY\")) // This is the default and can be omitted\n\n\t// Create Android box\n\tbox, err := gboxSDK.Create(context.Background(), gbox.CreateRequest{Type: \"android\"})\n\tif err != nil {\n\t\tlog.Fatalf(\"Failed to create box: %v\", err)\n\t}\n\n\t// Connect to Android app by package name\n\tandroidApp, err := box.App.Get(context.Background(), \"com.android.settings\") // package name\n\tif err != nil {\n\t\tlog.Fatalf(\"Failed to connect to Android app: %v\", err)\n\t}\n\n\t// Close the app\n\terr = androidApp.Close(context.Background())\n\tif err != nil {\n\t\tlog.Fatalf(\"Failed to close Android app: %v\", err)\n\t}\n}"
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        Enter your API Key in the format: Bearer <token>. Get it from
        https://gbox.ai

````